## kpmcore 4.1.0

=== CMakeLists.txt ===
# Copyright (C) 2008 by Volker Lanz <vl@fidra.de>
# Copyright (C) 2014-2019 by Andrius Štikonas <andrius@stikonas.eu>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

project(kpmcore)

cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

# Dependencies
set(QT_MIN_VERSION "5.10.0")
set(KF5_MIN_VERSION "5.56")
set(BLKID_MIN_VERSION "2.33.2")
# Qca-qt5 (tested with botan and ossl backends)

# Runtime
# smartmontools 7.0
# Qca plugin (botan or ossl)

set(VERSION_MAJOR "4")
set(VERSION_MINOR "1")
set(VERSION_RELEASE "0")
set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_RELEASE})
set(SOVERSION "9")
add_definitions(-D'VERSION="${VERSION}"') #"

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)

ecm_setup_version(${VERSION} VARIABLE_PREFIX KPMCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
                        SOVERSION ${SOVERSION})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  DBus
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  Auth
  CoreAddons
  I18n
  WidgetsAddons
)

find_package(Qca-qt5 REQUIRED)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
kde_enable_exceptions()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(BLKID REQUIRED blkid>=${BLKID_MIN_VERSION})
endif()

include_directories(${Qt5Core_INCLUDE_DIRS} ${UUID_INCLUDE_DIRS} ${BLKID_INCLUDE_DIRS} lib/ src/)

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(INCLUDE_INSTALL_DIR "include/kpmcore/")
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPMcore")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPMcoreConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS INCLUDE_INSTALL_DIR
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KPMcoreTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPMcoreTargets.cmake )

ki18n_install(po)

set_target_properties( kpmcore
  PROPERTIES VERSION ${VERSION} SOVERSION ${SOVERSION}
)

message(STATUS "kpmcore ${VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

enable_testing()
add_subdirectory(test)

=== src/CMakeLists.txt ===
# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
# Copyright (C) 2015       by Teo Mrnjavac <teo@kde.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

add_definitions(-DTRANSLATION_DOMAIN=\"kpmcore\")

include(backend/CMakeLists.txt)
include(core/CMakeLists.txt)
include(util/CMakeLists.txt)
include(ops/CMakeLists.txt)
include(jobs/CMakeLists.txt)
include(fs/CMakeLists.txt)
include(gui/CMakeLists.txt)

set(kpmcore_SRCS
    ${BACKEND_SRC}
    ${FS_SRC}
    ${CORE_SRC}
    ${OPS_SRC}
    ${JOBS_SRC}
    ${UTIL_SRC}
    ${GUI_SRC}
)

ki18n_wrap_ui(kpmcore_SRCS ${gui_UIFILES})

add_library(kpmcore SHARED ${kpmcore_SRCS})
target_link_libraries( kpmcore PUBLIC
    Qt5::Core
    PRIVATE
    ${BLKID_LIBRARIES}
    Qt5::DBus
    Qt5::Gui
    qca-qt5
    KF5::I18n
    KF5::CoreAddons
    KF5::WidgetsAddons
    KF5::AuthCore
)

install(TARGETS kpmcore EXPORT KPMcoreTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES ${CORE_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/core/ COMPONENT Devel)
install(FILES ${BACKEND_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/backend/ COMPONENT Devel)
install(FILES ${FS_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/fs/ COMPONENT Devel)
install(FILES ${JOBS_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/jobs/ COMPONENT Devel)
install(FILES ${OPS_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/ops/ COMPONENT Devel)
install(FILES ${UTIL_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/util/ COMPONENT Devel)
install(FILES ${GUI_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/gui/ COMPONENT Devel)

############################################

add_subdirectory(plugins)

=== test/CMakeLists.txt ===
# Tests for KPMcore
#
# These are not so much "tests" as "small example programs". They illustrate
# how to use the library, how to perform common tasks.

set(CMAKE_SKIP_BUILD_RPATH  FALSE)
SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

include_directories(${CMAKE_SOURCE_DIR}/src)  # To get at KPMcore headers
add_compile_options(-fPIC)

###
#
# Helper macro to link to the helper (for initialization of kpmcore)
# and to add a test with the given name.
#
add_library(testhelpers STATIC helpers.cpp)
target_link_libraries(testhelpers)

macro (kpm_test name)
    add_executable(${name} ${ARGN})
    target_link_libraries(${name} testhelpers kpmcore Qt5::Core)
endmacro()

###
#
# Tests of initialization: try explicitly loading some backends
kpm_test(testinit testinit.cpp)  # Default backend
if(TARGET pmdummybackendplugin)
    add_test(NAME testinit-dummy COMMAND testinit $<TARGET_FILE:pmdummybackendplugin>)
endif()
if(TARGET pmsfdiskbackendplugin)
    add_test(NAME testinit-sfdisk COMMAND testinit $<TARGET_FILE:pmsfdiskbackendplugin>)
else()
    return()  # All the rest really needs a working backend
endif()

set(BACKEND $<TARGET_FILE:pmsfdiskbackendplugin>)

###
#
# Listing devices, partitions
kpm_test(testlist testlist.cpp)
add_test(NAME testlist COMMAND testlist ${BACKEND})

kpm_test(testdevicescanner testdevicescanner.cpp)
add_test(NAME testdevicescanner COMMAND testdevicescanner ${BACKEND})

find_package (Threads)
###
#
# Execute external commands as root
kpm_test(testexternalcommand testexternalcommand.cpp)
add_test(NAME testexternalcommand COMMAND testexternalcommand ${BACKEND})


# Test Device
kpm_test(testdevice testdevice.cpp)
add_test(NAME testdevice COMMAND testdevice ${BACKEND})

=== src/backend/CMakeLists.txt ===
set(BACKEND_SRC
    backend/corebackendmanager.cpp
    backend/corebackenddevice.cpp
    backend/corebackend.cpp
    backend/corebackendpartitiontable.cpp
)

set(BACKEND_LIB_HDRS
    backend/corebackend.h
    backend/corebackendmanager.h
)

=== src/fs/CMakeLists.txt ===
set(FS_SRC
    fs/apfs.cpp
    fs/bitlocker.cpp
    fs/btrfs.cpp
    fs/exfat.cpp
    fs/ext2.cpp
    fs/ext3.cpp
    fs/ext4.cpp
    fs/extended.cpp
    fs/f2fs.cpp
    fs/fat12.cpp
    fs/fat16.cpp
    fs/fat32.cpp
    fs/feature.cpp
    fs/filesystem.cpp
    fs/filesystemfactory.cpp
    fs/hfs.cpp
    fs/hfsplus.cpp
    fs/hpfs.cpp
    fs/iso9660.cpp
    fs/jfs.cpp
    fs/linuxraidmember.cpp
    fs/linuxswap.cpp
    fs/luks.cpp
    fs/luks2.cpp
    fs/lvm2_pv.cpp
    fs/minix.cpp
    fs/nilfs2.cpp
    fs/ntfs.cpp
    fs/ocfs2.cpp
    fs/reiser4.cpp
    fs/reiserfs.cpp
    fs/udf.cpp
    fs/ufs.cpp
    fs/unformatted.cpp
    fs/unknown.cpp
    fs/xfs.cpp
    fs/zfs.cpp
)

set(FS_LIB_HDRS
    fs/apfs.h
    fs/bitlocker.h
    fs/btrfs.h
    fs/exfat.h
    fs/ext2.h
    fs/ext3.h
    fs/ext4.h
    fs/extended.h
    fs/f2fs.h
    fs/fat12.h
    fs/fat16.h
    fs/fat32.h
    fs/feature.h
    fs/filesystem.h
    fs/filesystemfactory.h
    fs/hfs.h
    fs/hfsplus.h
    fs/hpfs.h
    fs/iso9660.h
    fs/jfs.h
    fs/linuxraidmember.h
    fs/linuxswap.h
    fs/luks.h
    fs/luks2.h
    fs/lvm2_pv.h
    fs/minix.h
    fs/nilfs2.h
    fs/ntfs.h
    fs/ocfs2.h
    fs/reiser4.h
    fs/reiserfs.h
    fs/udf.h
    fs/ufs.h
    fs/unformatted.h
    fs/unknown.h
    fs/xfs.h
    fs/zfs.h
)

=== src/gui/CMakeLists.txt ===
set(GUI_SRC
    gui/partresizerwidget.cpp
    gui/partwidget.cpp
    gui/partwidgetbase.cpp
)

set(GUI_LIB_HDRS
    gui/partresizerwidget.h
    gui/partwidget.h
    gui/partwidgetbase.h
)

=== src/jobs/CMakeLists.txt ===
set(JOBS_SRC
    jobs/resizefilesystemjob.cpp
    jobs/createfilesystemjob.cpp
    jobs/job.cpp
    jobs/checkfilesystemjob.cpp
    jobs/shredfilesystemjob.cpp
    jobs/createpartitionjob.cpp
    jobs/createpartitiontablejob.cpp
    jobs/createvolumegroupjob.cpp
    jobs/removevolumegroupjob.cpp
    jobs/deactivatevolumegroupjob.cpp
    jobs/deactivatelogicalvolumejob.cpp
    jobs/resizevolumegroupjob.cpp
    jobs/movephysicalvolumejob.cpp
    jobs/setfilesystemlabeljob.cpp
    jobs/deletepartitionjob.cpp
    jobs/restorefilesystemjob.cpp
    jobs/setpartgeometryjob.cpp
    jobs/deletefilesystemjob.cpp
    jobs/backupfilesystemjob.cpp
    jobs/setpartflagsjob.cpp
    jobs/copyfilesystemjob.cpp
    jobs/movefilesystemjob.cpp
)

set(JOBS_LIB_HDRS
    jobs/job.h
)

=== src/plugins/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

############################################

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    option(PARTMAN_SFDISKBACKEND "Build the sfdisk backend plugin." ON)

    if (PARTMAN_SFDISKBACKEND)
        add_subdirectory(sfdisk)
    endif (PARTMAN_SFDISKBACKEND)
endif()

option(PARTMAN_DUMMYBACKEND "Build the dummy backend plugin." ON)

if (PARTMAN_DUMMYBACKEND)
    add_subdirectory(dummy)
endif (PARTMAN_DUMMYBACKEND)

=== src/util/CMakeLists.txt ===
set(application_interface_xml org.kde.kpmcore.applicationinterface.xml)
set(helper_interface_xml org.kde.kpmcore.helperinterface.xml)

qt5_generate_dbus_interface(
    util/externalcommand.h
    ${application_interface_xml}
    OPTIONS -a
)

qt5_generate_dbus_interface(
    util/externalcommandhelper.h
    ${helper_interface_xml}
    OPTIONS -a
)

qt5_add_dbus_interface(ApplicationInterface_SRCS ${CMAKE_CURRENT_BINARY_DIR}/${application_interface_xml} externalcommand_interface)
qt5_add_dbus_interface(HelperInterface_SRCS ${CMAKE_CURRENT_BINARY_DIR}/${helper_interface_xml} externalcommandhelper_interface)

set(UTIL_SRC
    ${HelperInterface_SRCS}
    util/capacity.cpp
    util/externalcommand.cpp
    util/globallog.cpp
    util/helpers.cpp
    util/htmlreport.cpp
    util/report.cpp
)

set(UTIL_LIB_HDRS
    util/libpartitionmanagerexport.h
    util/capacity.h
    util/externalcommand.h
    util/globallog.h
    util/helpers.h
    util/htmlreport.h
    util/report.h
)

add_executable(kpmcore_externalcommand
    ${ApplicationInterface_SRCS}
    util/externalcommandhelper.cpp
)

target_link_libraries(kpmcore_externalcommand
    qca-qt5
    Qt5::Core
    Qt5::DBus
    KF5::AuthCore
    KF5::I18n
)

install(TARGETS kpmcore_externalcommand DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
install( FILES util/org.kde.kpmcore.helperinterface.conf DESTINATION ${KDE_INSTALL_DBUSDIR}/system.d )
install( FILES util/org.kde.kpmcore.applicationinterface.conf DESTINATION ${KDE_INSTALL_DBUSDIR}/system.d )

kauth_install_helper_files(kpmcore_externalcommand org.kde.kpmcore.externalcommand root)
kauth_install_actions(org.kde.kpmcore.externalcommand util/org.kde.kpmcore.externalcommand.actions)

=== src/core/raid/CMakeLists.txt ===
set(RAID_SRC
    core/raid/softwareraid.cpp
)

set(RAID_LIB_HDRS
    core/raid/softwareraid.h
)

=== src/plugins/dummy/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set (pmdummybackendplugin_SRCS
    dummybackend.cpp
    dummydevice.cpp
    dummypartitiontable.cpp
    ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
)

add_library(pmdummybackendplugin SHARED ${pmdummybackendplugin_SRCS})

target_link_libraries(pmdummybackendplugin kpmcore KF5::I18n KF5::CoreAddons)

install(TARGETS pmdummybackendplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== src/plugins/sfdisk/CMakeLists.txt ===
# Copyright (C) 2010 by Volker Lanz <vl@fidra.de>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set (pmsfdiskbackendplugin_SRCS
    sfdiskbackend.cpp
    sfdiskdevice.cpp
    sfdiskpartitiontable.cpp
    ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
    ${CMAKE_SOURCE_DIR}/src/core/copysourcedevice.cpp
    ${CMAKE_SOURCE_DIR}/src/core/copytargetdevice.cpp
    ${CMAKE_SOURCE_DIR}/src/core/copytargetbytearray.cpp
)

add_library(pmsfdiskbackendplugin SHARED ${pmsfdiskbackendplugin_SRCS})

target_link_libraries(pmsfdiskbackendplugin kpmcore KF5::I18n KF5::CoreAddons)

install(TARGETS pmsfdiskbackendplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
kpmcore (4.1.0-2) unstable; urgency=medium

  * Fix libkpmcore dependency

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Feb 2020 10:51:08 +0200

kpmcore (4.1.0-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.5.0
  * Declare Rules-Requires-Root
  * Update copyright years
  * Bump soname version to kpmcore9

 -- Jonathan Carter <jcc@debian.org>  Mon, 10 Feb 2020 09:18:41 +0200

kpmcore (4.0.1-2) unstable; urgency=medium

  [ Alf Gaida ]
  * libqca-qt5-2-plugins is a dependency for libkpmcore8, not a build-dependency
  * Added missed override_dh_missing
  * Install missed directories to libkpmcore8
    (Closes: #942522, #942528)
  * Removed FindLIBPARTED.cmake from d/copyright - file isn't provided anymore

  [ Jonathan Carter ]
  * Upload to unstable

 -- Alf Gaida <agaida@siduction.org>  Thu, 17 Oct 2019 17:30:09 +0200

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Jonathan Carter <jcc@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               extra-cmake-modules,
               libatasmart-dev,
               libblkid-dev (>= 2.30),
               libkf5auth-dev,
               libkf5i18n-dev,
               libkf5widgetsaddons-dev,
               libparted-dev,
               libqca-qt5-2-dev,
               pkg-config,
               pkg-kde-tools,
               util-linux (>= 2.34)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/KDE/kpmcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kpmcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kpmcore.git

Package: libkpmcore9
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, libqca-qt5-2-plugins
Replaces: libkpmcore3, libkpmcore4, libkpmcore5, libkpmcore6, libkpmcore7, libkpmcore8
Breaks: libkpmcore3, libkpmcore4, libkpmcore5, libkpmcore6, libkpmcore7, libkpmcore8
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: linux-any
Depends: libatasmart-dev,
         libkpmcore9 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpmcore3-dev, libkpmcore4-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(PVER)

# Not sure these can work in a chroot
override_dh_auto_test:

override_dh_missing:
	dh_missing --fail-missing

## kpmcore 20.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2008 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>
# SPDX-FileCopyrightText: 2020 David Edmundson <kde@davidedmundson.co.uk>

# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.1 FATAL_ERROR)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "20")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(kpmcore VERSION ${RELEASE_SERVICE_VERSION})

set(SOVERSION "10")
add_definitions(-D'VERSION="${RELEASE_SERVICE_VERSION}"') #"


set(CMAKE_USE_RELATIVE_PATHS OFF)
set(CMAKE_BUILD_WITH_INSTALL_RPATH ON)

# Dependencies
set(QT_MIN_VERSION "5.14.0")
set(KF5_MIN_VERSION "5.73")
set(BLKID_MIN_VERSION "2.33.2")
# PolkitQt5-1

# Runtime
# smartmontools 7.0

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMConfiguredInstall)

ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX KPMCORE
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kpmcore_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
                        SOVERSION ${SOVERSION})

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
  Core
  DBus
  Gui
  Widgets
)

# Load the frameworks we need
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED
  CoreAddons
  I18n
  WidgetsAddons
)

find_package(PolkitQt5-1 REQUIRED)

# use sane compile flags
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_USE_FAST_OPERATOR_PLUS
  -DQT_NO_KEYWORDS
)
kde_enable_exceptions()

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(BLKID REQUIRED blkid>=${BLKID_MIN_VERSION})
endif()

add_subdirectory(src)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(INCLUDE_INSTALL_DIR "include/kpmcore/")
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KPMcore")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KPMcoreConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS INCLUDE_INSTALL_DIR
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KPMcoreConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KPMcoreTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPMcoreTargets.cmake )

ki18n_install(po)

set_target_properties( kpmcore
  PROPERTIES VERSION ${RELEASE_SERVICE_VERSION} SOVERSION ${SOVERSION}
)

message(STATUS "kpmcore ${RELEASE_SERVICE_VERSION} will be built for install into ${CMAKE_INSTALL_PREFIX}")

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

enable_testing()
add_subdirectory(test)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,22 +1,14 @@
-# Copyright (C) 2008, 2012 by Volker Lanz <vl@fidra.de>
-# Copyright (C) 2015       by Teo Mrnjavac <teo@kde.org>
-#
-# This program is free software; you can redistribute it and/or
-# modify it under the terms of the GNU General Public License as
-# published by the Free Software Foundation; either version 3 of
-# the License, or (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
+# SPDX-FileCopyrightText: 2015 Teo Mrnjavac <teo@kde.org>
+# SPDX-FileCopyrightText: 2014-2020 Andrius Štikonas <andrius@stikonas.eu>
 
-############################################
+# SPDX-License-Identifier: GPL-3.0-or-later
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kpmcore\")
+
+include_directories(
+    ${BLKID_INCLUDE_DIRS}
+)
 
 include(backend/CMakeLists.txt)
 include(core/CMakeLists.txt)
@@ -45,12 +37,15 @@
     ${BLKID_LIBRARIES}
     Qt5::DBus
     Qt5::Gui
-    qca-qt5
     KF5::I18n
     KF5::CoreAddons
     KF5::WidgetsAddons
-    KF5::AuthCore
 )
+generate_export_header(kpmcore
+    BASE_NAME LIBKPMCORE
+    EXPORT_FILE_NAME util/libpartitionmanagerexport.h
+)
+list(APPEND UTIL_LIB_HDRS ${CMAKE_CURRENT_BINARY_DIR}/util/libpartitionmanagerexport.h)
 
 install(TARGETS kpmcore EXPORT KPMcoreTargets  ${INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES ${CORE_LIB_HDRS} DESTINATION ${INCLUDE_INSTALL_DIR}/kpmcore/core/ COMPONENT Devel)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# SPDX-FileCopyrightText: 2017 Adriaan de Groot <groot@kde.org>
+# SPDX-FileCopyrightText: 2017-2019 Andrius Štikonas <andrius@stikonas.eu>
+# SPDX-FileCopyrightText: 2018 Caio Carvalho <caiojcarvalho@gmail.com>
+# SPDX-FileCopyrightText: 2019 Yuri Chornoivan <yurchor@ukr.net>
+
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 # Tests for KPMcore
 #
 # These are not so much "tests" as "small example programs". They illustrate
@@ -7,7 +14,6 @@
 SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
 set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
 
-include_directories(${CMAKE_SOURCE_DIR}/src)  # To get at KPMcore headers
 add_compile_options(-fPIC)
 
 ###
@@ -16,7 +22,7 @@
 # and to add a test with the given name.
 #
 add_library(testhelpers STATIC helpers.cpp)
-target_link_libraries(testhelpers)
+target_link_libraries(testhelpers PRIVATE kpmcore)
 
 macro (kpm_test name)
     add_executable(${name} ${ARGN})

=== src/plugins/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2010 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2018 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    option(PARTMAN_SFDISKBACKEND "Build the sfdisk backend plugin." ON)

    if (PARTMAN_SFDISKBACKEND)
        add_subdirectory(sfdisk)
    endif (PARTMAN_SFDISKBACKEND)
endif()

option(PARTMAN_DUMMYBACKEND "Build the dummy backend plugin." ON)

if (PARTMAN_DUMMYBACKEND)
    add_subdirectory(dummy)
endif (PARTMAN_DUMMYBACKEND)

=== src/plugins/dummy/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2010 Volker Lanz <vl@fidra.de>
# SPDX-FileCopyrightText: 2016-2018 Andrius Štikonas <andrius@stikonas.eu>

# SPDX-License-Identifier: GPL-3.0-or-later

set (pmdummybackendplugin_SRCS
    dummybackend.cpp
    dummydevice.cpp
    dummypartitiontable.cpp
    ${CMAKE_SOURCE_DIR}/src/backend/corebackenddevice.cpp
)

add_library(pmdummybackendplugin SHARED ${pmdummybackendplugin_SRCS})

target_link_libraries(pmdummybackendplugin kpmcore KF5::I18n KF5::CoreAddons)

install(TARGETS pmdummybackendplugin DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
kpmcore (20.12.3-2) unstable; urgency=medium

  * Backport upstream fix so that S.M.A.R.T. information display always works
    whatever the disk state.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 22 Mar 2021 11:36:09 +0100

kpmcore (20.12.3-1) unstable; urgency=medium

  * New upstream release (20.12.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Mar 2021 23:23:00 +0100

kpmcore (20.12.2-4) unstable; urgency=medium

  * Team upload.
  * Drop unused build dependencies: libatasmart-dev, libkf5auth-dev,
    libparted-dev, libqca-qt5-2-dev, and util-linux
    - drop also the libatasmart-dev dependency in libkpmcore-dev
    - drop also the libqca-qt5-2-plugins dependency in libkpmcore10
  * Enable the build on any architecture (not only Linux ones), as it builds
    fine now.
  * Update symbols files from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Feb 2021 22:15:58 +0100

kpmcore (20.12.2-3) unstable; urgency=medium

  * Team upload.
  * Update symbols files from the logs of buildds.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Explicitly add the gettext build dependency.
  * Add the missing libkpmcore10 dependency in libkpmcore-dev.
  * Remove the old libkpmcore5, and libkpmcore6 breaks/replaces, as they
    existed only in versions between Stretch and Buster.
  * Do not ship kpmcore._policy_.mo files, as they are helper translations for
    .policy files.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Feb 2021 12:49:57 +0100

kpmcore (20.12.2-2) unstable; urgency=medium

  * Update symbols file for armel and risvc64 specificities.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 12 Feb 2021 09:50:47 +0100

kpmcore (20.12.2-1) unstable; urgency=medium

  * Update upstream GPG signing key.
  * New upstream release (20.12.2).
  * Git ignore generated debian/files.
  * Add min versions to build dependencies according to the upstream build
    system.
  * Drop explicit call to dh_missing --fail-missing, it’s now the default with
    debhelper-compat 13.
  * Add symbols file.
  * Drop breaks/replaces older than 2 stable releases.
  * Add upstream metadata.
  * Move maintainer and repos from extras to kde now that the app is part of
    official KDE apps releases.
  * Update project homepage.
  * Add salsa-ci.yml pipeline file.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 08 Feb 2021 13:39:08 +0100

kpmcore (20.12.1-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Tue, 12 Jan 2021 16:58:01 +0200

kpmcore (20.12.0-1) unstable; urgency=medium

  * New upstream release
  * Update watch file (kpmcore is now part of kde release service)
  * Remove patches, now integrated upstream
  * Update standards version to 4.5.1

 -- Jonathan Carter <jcc@debian.org>  Tue, 22 Dec 2020 14:30:08 +0200

kpmcore (4.2.0-2) unstable; urgency=medium

  * Remove explicit dependency polkit-qt1 added in error

 -- Jonathan Carter <jcc@debian.org>  Mon, 19 Oct 2020 11:35:48 +0200

kpmcore (4.2.0-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper-compat to 13
  * Add build-dep: libpolkit-qt5-1-dev
  * Add binary-dep: polkit-qt1
  * Add upstream signing key
  * Add patch to provide local ecm functions
  * Bump soname version to kpmcore10

 -- Jonathan Carter <jcc@debian.org>  Fri, 16 Oct 2020 22:15:39 +0200

=== debian/control ===
Source: kpmcore
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Jonathan Carter <jcc@debian.org>,
Build-Depends: cmake (>= 3.1~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.73~),
               gettext,
               libblkid-dev (>= 2.33.2),
               libkf5coreaddons-dev (>= 5.73~),
               libkf5i18n-dev (>= 5.73~),
               libkf5widgetsaddons-dev (>= 5.73~),
               libpolkit-qt5-1-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.14.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/kpmcore
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git

Package: libkpmcore10
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
Description: KDE Partition Manager Core
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.

Package: libkpmcore-dev
Section: libdevel
Architecture: any
Depends: libkpmcore10 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: libkpmcore4-dev
Description: KDE Partition Manager Core development files
 KDE Parition Partition Manager Core (KPM core) allows
 software to re-use common partitioning GUI tasks.
 .
 It is used in the generic system installer called Calamares
 and may be used in more interfaces in the future. Right now it
 is unlikely to be useful installed on its own.
 .
 This package contains development files for kpmcore.

## kpmcore 21.08.0

=== src/jobs/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,10 @@
+# SPDX-FileCopyrightText: 2008,2012 Volker Lanz <vl@fidra.de>
+# SPDX-FileCopyrightText: 2015 Chris Campbell <c.j.campbell@ed.ac.uk>
+# SPDX-FileCopyrightText: 2016 Chantara Tith <tith.chantara@gmail.com>
+# SPDX-FileCopyrightText: 2020 Gaël PORTAY <gael.portay@collabora.com>
+
+# SPDX-License-Identifier: GPL-3.0-or-later
+
 set(JOBS_SRC
     jobs/resizefilesystemjob.cpp
     jobs/createfilesystemjob.cpp
@@ -6,6 +13,9 @@
     jobs/shredfilesystemjob.cpp
     jobs/createpartitionjob.cpp
     jobs/createpartitiontablejob.cpp
+    jobs/setpartitionlabeljob.cpp
+    jobs/setpartitionuuidjob.cpp
+    jobs/setpartitionattributesjob.cpp
     jobs/createvolumegroupjob.cpp
     jobs/removevolumegroupjob.cpp
     jobs/deactivatevolumegroupjob.cpp

=== debian/changelog ===
kpmcore (21.08.0-1deepin1+rb3) unstable; urgency=medium

  * Update symbols for RISC-V GCC 12

 -- Clansty <i@gao4.pw>  Mon, 09 Jan 2023 07:39:08 +0000

kpmcore (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:38:22 +0900

kpmcore (21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Add myself to uploaders.
  * Drop upstream patch.
  * Bump so-level in accordance with upstream.
  * Update symbols.
  * Add missing breaks/replaces.

 -- Norbert Preining <norbert@preining.info>  Mon, 26 Apr 2021 08:33:25 +0900

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.73~),
@@ -22,12 +23,11 @@
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
 
-Package: libkpmcore10
+Package: libkpmcore11
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
-Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
+Breaks: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -39,9 +39,7 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore10 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: libkpmcore11 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Replaces: libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows

## kpmcore 21.08.1

=== debian/changelog ===
kpmcore (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:19 +0100

kpmcore (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:30 +0100

kpmcore (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:28 +0100

kpmcore (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 17 Jul 2021 19:07:54 +0100

kpmcore (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:47:40 +0100

kpmcore (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:44:41 +0100

kpmcore (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:15 +0100

kpmcore (21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)
  * Drop upstream_2ea9ff49_fix_smartctl_exit_status_success_check.patch

  [ José Manuel Santamaría Lema ]
  * Use kf5 addon for dh, provides lintian and list-missing when
    building for Kubuntu
  * Rename libkpmcore10 -> libkpmcore11 due to SONAME change
  * Update symbols file

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 02:09:49 +0100

kpmcore (20.12.3-2ubuntu1) hirsute; urgency=medium

  * Mark symbols as optional that are not seen when building with lto.

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Mar 2021 13:13:18 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
-           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.1~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.73~),
@@ -25,9 +24,10 @@
 
 Package: libkpmcore11
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Replaces: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
-Breaks: libkpmcore10, libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
+Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -39,7 +39,9 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore11 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libkpmcore11 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Replaces: libkpmcore4-dev
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows

## kpmcore 21.12.3

=== debian/changelog ===
kpmcore (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:14:51 +0000

kpmcore (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:26 +0000

kpmcore (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:16 +0000

kpmcore (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:27 +0000

kpmcore (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:29 +0000

kpmcore (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:36 +0000

kpmcore (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:28:55 +0000

kpmcore (21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:03 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kpmcore
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>,
 Build-Depends: cmake (>= 3.1~),
@@ -19,8 +20,8 @@
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpmcore
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpmcore.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
 
 Package: libkpmcore11
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with pkgkde_symbolshelper,kf5

override_dh_makeshlibs:
	dh_makeshlibs -Xlibpmdummybackendplugin -Xlibpmsfdiskbackendplugin

execute_after_dh_auto_install:
	# do not ship helper translations
	rm debian/tmp/usr/share/locale/*/LC_MESSAGES/kpmcore._policy_.mo

# Not sure these can work in a chroot
override_dh_auto_test:

## kpmcore 22.08.1

=== debian/changelog ===
kpmcore (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:06 +0100

kpmcore (22.08.0-0ubuntu2) kinetic; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Aug 2022 16:52:13 +0100

kpmcore (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:35 +0100

kpmcore (22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Update unstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Aug 2022 14:47:56 +0100

kpmcore (22.04.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libkpmcore-dev: Add Multi-Arch: same.

  [ Jonathan Carter ]
  * New upstream release
  * Bump soname version to 12
  * Update symbols file
  * Update copyright years

 -- Jonathan Carter <jcc@debian.org>  Wed, 10 Aug 2022 11:16:13 +0200

kpmcore (22.04.3-0ubuntu3) kinetic; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jul 2022 06:51:07 +0100

kpmcore (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Update symbols files, marking optional=gccinternal to prevent FTBFS

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 29 Jul 2022 13:22:45 +0100

kpmcore (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:20 +0100

kpmcore (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:05:46 +0100

kpmcore (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Bump SONAME according to upstream changes:
    - libkpmcore11 -> libkpmcore12
  * Update symbols.
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:04:45 +0100

kpmcore (21.12.3-3) unstable; urgency=medium

  * Team upload.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 16:40:30 +0200

kpmcore (21.12.3-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Remove the libkpmcore4-dev replaces in libkpmcore-dev, as the rename was
    done before Debian Buster.
  * Remove the libkpmcore4, libkpmcore8, and libkpmcore9 breaks/replaces in
    libkpmcore11: they either refer to versions older than Debian Buster, or
    to development versions between Buster and Bullseye.
  * Update symbols file. (Closes: #1012963)

 -- Pino Toscano <pino@debian.org>  Thu, 28 Jul 2022 05:57:48 +0200

kpmcore (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols file from the logs of buildds.
  * CI: enable blhc, as it should work fine now.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
  * Remove the unused ${shlibs:Depends} substvar from libkpmcore-dev.

 -- Pino Toscano <pino@debian.org>  Mon, 07 Mar 2022 07:56:22 +0100

kpmcore (21.12.2-3) unstable; urgency=medium

  * More symbols fixes for armel and riscv64.
  * Add Build-Depends-Package to symbols file.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Feb 2022 13:24:03 +0100

kpmcore (21.12.2-2) unstable; urgency=medium

  * Fix symbols for armel and riscv64.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Feb 2022 11:16:31 +0100

kpmcore (21.12.2-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan Carter <jcc@debian.org>  Thu, 17 Feb 2022 11:19:15 +0200

kpmcore (21.12.1-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.0
  * Update symbols

 -- Jonathan Carter <jcc@debian.org>  Thu, 20 Jan 2022 11:57:01 +0200

=== debian/control ===
--- 
+++ 
@@ -17,18 +17,17 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.14.0~),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/system/kpmcore
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpmcore
 
-Package: libkpmcore11
+Package: libkpmcore12
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-Replaces: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
-Breaks: libkpmcore4, libkpmcore7, libkpmcore8, libkpmcore9, libkpmcore10
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkmpcore11, libkpmcore10, libkpmcore9
+Breaks: libkpmcore11, libkpmcore10, libkpmcore9
 Description: KDE Partition Manager Core
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
@@ -40,10 +39,10 @@
 Package: libkpmcore-dev
 Section: libdevel
 Architecture: any
-Depends: libkpmcore11 (= ${binary:Version}),
+Depends: libkpmcore12 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
-Replaces: libkpmcore4-dev
+Multi-Arch: same
 Description: KDE Partition Manager Core development files
  KDE Parition Partition Manager Core (KPM core) allows
  software to re-use common partitioning GUI tasks.
